%bcond_without mead

%define reltag .redhat_5
%define namedreltag -redhat-5
%global namedversion %{version}%{?namedreltag}

%define maven_version 2.2.5-14.redhat_5.ep6.el6

Name:           glassfish-jaxb-eap6
Version:        2.2.5
Release:        14%{?reltag}%{?dist}
Epoch:          0
Summary:        Java Architecture for XML Binding
License:        CDDL/GPLv2
Group:          Development/Java

%if %with mead
Source102: jaxb-xjc-2.2.5-redhat-5.pom
Source103: jaxb-xjc-2.2.5-redhat-5.jar
Source104: jaxb-impl-2.2.5-redhat-5.pom
Source105: jaxb-impl-2.2.5-redhat-5.jar
Source106: jaxb-impl-2.2.5-redhat-5-sources.zip
Source107: jaxb-impl-2.2.5-redhat-5-patches.zip
%endif

URL:            https://jax-ws-sources.dev.java.net/
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Java Architecture for XML Binding (JAXB) 2.2 API according to JSR-222.

%prep

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/jaxb-impl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jaxb-impl-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jaxb-xjc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jaxb-xjc-%{namedversion}.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} "s|-%{namedversion}||g"`; done)

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/jaxb-impl-%{namedversion}.jar
%{_javadir}/%{name}/jaxb-impl.jar
%{_javadir}/%{name}/jaxb-xjc-%{namedversion}.jar
%{_javadir}/%{name}/jaxb-xjc.jar

%changelog
* Wed May 01 2013 Permaine Cheung <pcheung@redhat.com> 0:2.2.5-14.redhat_5
- Wrap glassfish-jaxb-2.2.5-14.redhat_5.ep6.el6

* Wed Apr 10 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-13.redhat_4
- Wrap glassfish-jaxb-2.2.5-13.redhat_4.ep6.el6

* Wed Apr 03 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-11.redhat_4
- Wrap glassfish-jaxb-2.2.5-11.redhat_4.ep6.el6

* Mon Feb 11 2013 Fernando Nasser <fnasser@redhat.com> 0:2.2.5-2.redhat_4
- Include sources in src.rpm

* Tue Jan 29 2013 David Walluck <dwalluck@redhat.com> 0:2.2.5-1
- release
